/// class PD.Manage.Modules.SyncAllUsersCommand

PD.Manage.Modules.SyncAllUsersCommand =
PD.Commands.Command.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {
        this.props("id", "sync/all-users");
        this.props("enabled", true);
        this.props("icon", PD.Path.to16x16("arrow_circle2.png"));
        this.props("label", "Sync All Users");
        this.props("tooltip", "Update all Users with data<br/>retrieved from Active Directory.");
    },

    execute: function (e) {
        this._super(e);

        PDJS.Shared.TaskStatusDialog.open({
            title: "Sync | Users",
            taskStart: (e) => {

                PD.ajax({
                    type: "POST",
                    url: PD.Path.resolve("~/Manage/ActiveDirectory/SyncUsers"),
                    success: (e2) => {
                        e.startPolling(e2);
                    },
                    error: (e2) => {
                        e.abort(e2.responseJSON);
                        e2.errorHandled = true;
                    }
                });

            },
            taskSuccess: (e) => {

                PD.context
                    .get_default()
                    .get_events()
                    .publish("sync/refresh");

            }
        });

    }

});